package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmEmpDiscActionForm extends HrmBaseForm {
  private String employeeNo;
  
  private String employeeName;
  
  private String employeeNoId;
  
  private String caseFlag;
  
  private String disabemployeeNo;
  
  private String disabemployeeName;
  
  ArrayList arrEmpDisc;
  
  private String[] txtChrgShtDate;
  
  private String[] txtInqDate;
  
  private String[] txtInqOfficer;
  
  private String[] txtActionTaken;
  
  private String[] txtActionOfficer;
  
  private String[] txtAppealDate;
  
  private String[] txtLocationId;
  
  private String[] txtLocation;
  
  private String disabtxtLocation;
  
  private String[] txtMisconduct;
  
  private String disabtxtMisconduct;
  
  private String[] txtFromDate;
  
  private String disabtxtFromDate;
  
  private String butTxtFromDate;
  
  private String butTxtToDate;
  
  private String butTxtStatusEffectDate;
  
  private String[] txtToDate;
  
  private String disabtxtToDate;
  
  private String disabtxtActionTaken;
  
  private String[] txtStatus;
  
  private String disabtxtStatus;
  
  private String[] txtStatusEffectDate;
  
  private String disabtxtStatusEffectDate;
  
  private String[] txtRemarks;
  
  private String disabtxtRemarks;
  
  private String selectAll;
  
  private String butEmpNo;
  
  private String disabbutEmpNo;
  
  private String butLocation;
  
  private String disabbutLocation;
  
  private String disabbutTxtFromDate;
  
  private String disabbutTxtToDate;
  
  private String disabbutTxtStatusEffectDate;
  
  private String butTxtChrgShtDate;
  
  private String butTxtInqDate;
  
  private String butTxtAppealDate;
  
  private String disabbutTxtChrgShtDate;
  
  private String disabbutTxtInqDate;
  
  private String disabbutTxtAppealDate;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getEmployeeNo() {
    return this.employeeNo;
  }
  
  public void setEmployeeNo(String newEmployeeNo) {
    this.employeeNo = newEmployeeNo;
  }
  
  public String getCaseFlag() {
    return this.caseFlag;
  }
  
  public void setCaseFlag(String newCaseFlag) {
    this.caseFlag = newCaseFlag;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getEmployeeNoId() {
    return this.employeeNoId;
  }
  
  public void setEmployeeNoId(String newEmployeeNoId) {
    this.employeeNoId = newEmployeeNoId;
  }
  
  public String getDisabemployeeNo() {
    return this.disabemployeeNo;
  }
  
  public void setDisabemployeeNo(String newDisabemployeeNo) {
    this.disabemployeeNo = newDisabemployeeNo;
  }
  
  public String getDisabemployeeName() {
    return this.disabemployeeName;
  }
  
  public void setDisabemployeeName(String newDisabemployeeName) {
    this.disabemployeeName = newDisabemployeeName;
  }
  
  public ArrayList getArrEmpDisc() {
    return this.arrEmpDisc;
  }
  
  public void setArrEmpDisc(ArrayList newArrEmpDisc) {
    this.arrEmpDisc = newArrEmpDisc;
  }
  
  public String[] getTxtChrgShtDate() {
    return this.txtChrgShtDate;
  }
  
  public void setTxtChrgShtDate(String[] txtChrgShtDate) {
    this.txtChrgShtDate = txtChrgShtDate;
  }
  
  public String[] getTxtInqDate() {
    return this.txtInqDate;
  }
  
  public void setTxtInqDate(String[] txtInqDate) {
    this.txtInqDate = txtInqDate;
  }
  
  public String[] getTxtInqOfficer() {
    return this.txtInqOfficer;
  }
  
  public void setTxtInqOfficer(String[] txtInqOfficer) {
    this.txtInqOfficer = txtInqOfficer;
  }
  
  public String[] getTxtActionOfficer() {
    return this.txtActionOfficer;
  }
  
  public void setTxtActionOfficer(String[] txtActionOfficer) {
    this.txtActionOfficer = txtActionOfficer;
  }
  
  public String[] getTxtAppealDate() {
    return this.txtAppealDate;
  }
  
  public void setTxtAppealDate(String[] txtAppealDate) {
    this.txtAppealDate = txtAppealDate;
  }
  
  public String getButTxtChrgShtDate() {
    return this.butTxtChrgShtDate;
  }
  
  public void setButTxtChrgShtDate(String butTxtChrgShtDate) {
    this.butTxtChrgShtDate = butTxtChrgShtDate;
  }
  
  public String getButTxtInqDate() {
    return this.butTxtInqDate;
  }
  
  public void setButTxtInqDate(String butTxtInqDate) {
    this.butTxtInqDate = butTxtInqDate;
  }
  
  public String getButTxtAppealDate() {
    return this.butTxtAppealDate;
  }
  
  public void setButTxtAppealDate(String butTxtAppealDate) {
    this.butTxtAppealDate = butTxtAppealDate;
  }
  
  public String getDisabbutTxtChrgShtDate() {
    return this.disabbutTxtChrgShtDate;
  }
  
  public void setDisabbutTxtChrgShtDate(String disabbutTxtChrgShtDate) {
    this.disabbutTxtChrgShtDate = disabbutTxtChrgShtDate;
  }
  
  public String getDisabbutTxtInqDate() {
    return this.disabbutTxtInqDate;
  }
  
  public void setDisabbutTxtInqDate(String disabbutTxtInqDate) {
    this.disabbutTxtInqDate = disabbutTxtInqDate;
  }
  
  public String getDisabbutTxtAppealDate() {
    return this.disabbutTxtAppealDate;
  }
  
  public void setDisabbutTxtAppealDate(String disabbutTxtAppealDate) {
    this.disabbutTxtAppealDate = disabbutTxtAppealDate;
  }
  
  public String[] getTxtLocationId() {
    return this.txtLocationId;
  }
  
  public void setTxtLocationId(String[] newTxtLocationId) {
    this.txtLocationId = newTxtLocationId;
  }
  
  public String[] getTxtLocation() {
    return this.txtLocation;
  }
  
  public void setTxtLocation(String[] newTxtLocation) {
    this.txtLocation = newTxtLocation;
  }
  
  public String getDisabtxtLocation() {
    return this.disabtxtLocation;
  }
  
  public void setDisabtxtLocation(String newDisabtxtLocation) {
    this.disabtxtLocation = newDisabtxtLocation;
  }
  
  public String[] getTxtMisconduct() {
    return this.txtMisconduct;
  }
  
  public void setTxtMisconduct(String[] newTxtMisconduct) {
    this.txtMisconduct = newTxtMisconduct;
  }
  
  public String getDisabtxtMisconduct() {
    return this.disabtxtMisconduct;
  }
  
  public void setDisabtxtMisconduct(String newDisabtxtMisconduct) {
    this.disabtxtMisconduct = newDisabtxtMisconduct;
  }
  
  public String[] getTxtFromDate() {
    return this.txtFromDate;
  }
  
  public void setTxtFromDate(String[] newTxtFromDate) {
    this.txtFromDate = newTxtFromDate;
  }
  
  public String getDisabtxtFromDate() {
    return this.disabtxtFromDate;
  }
  
  public void setDisabtxtFromDate(String newDisabtxtFromDate) {
    this.disabtxtFromDate = newDisabtxtFromDate;
  }
  
  public String getButTxtFromDate() {
    return this.butTxtFromDate;
  }
  
  public void setButTxtFromDate(String newButTxtFromDate) {
    this.butTxtFromDate = newButTxtFromDate;
  }
  
  public String getButTxtToDate() {
    return this.butTxtToDate;
  }
  
  public void setButTxtToDate(String newButTxtToDate) {
    this.butTxtToDate = newButTxtToDate;
  }
  
  public String getButTxtStatusEffectDate() {
    return this.butTxtStatusEffectDate;
  }
  
  public String[] getTxtToDate() {
    return this.txtToDate;
  }
  
  public void setTxtToDate(String[] newTxtToDate) {
    this.txtToDate = newTxtToDate;
  }
  
  public String getDisabtxtToDate() {
    return this.disabtxtToDate;
  }
  
  public void setDisabtxtToDate(String newDisabtxtToDate) {
    this.disabtxtToDate = newDisabtxtToDate;
  }
  
  public String[] getTxtActionTaken() {
    return this.txtActionTaken;
  }
  
  public void setTxtActionTaken(String[] newTxtActionTaken) {
    this.txtActionTaken = newTxtActionTaken;
  }
  
  public String getDisabtxtActionTaken() {
    return this.disabtxtActionTaken;
  }
  
  public void setDisabtxtActionTaken(String newDisabtxtActionTaken) {
    this.disabtxtActionTaken = newDisabtxtActionTaken;
  }
  
  public String[] getTxtStatus() {
    return this.txtStatus;
  }
  
  public void setTxtStatus(String[] newTxtStatus) {
    this.txtStatus = newTxtStatus;
  }
  
  public String getDisabtxtStatus() {
    return this.disabtxtStatus;
  }
  
  public void setDisabtxtStatus(String newDisabtxtStatus) {
    this.disabtxtStatus = newDisabtxtStatus;
  }
  
  public String[] getTxtStatusEffectDate() {
    return this.txtStatusEffectDate;
  }
  
  public void setTxtStatusEffectDate(String[] newTxtStatusEffectDate) {
    this.txtStatusEffectDate = newTxtStatusEffectDate;
  }
  
  public String getDisabtxtStatusEffectDate() {
    return this.disabtxtStatusEffectDate;
  }
  
  public void setDisabtxtStatusEffectDate(String newDisabtxtStatusEffectDate) {
    this.disabtxtStatusEffectDate = newDisabtxtStatusEffectDate;
  }
  
  public String[] getTxtRemarks() {
    return this.txtRemarks;
  }
  
  public void setTxtRemarks(String[] newTxtRemarks) {
    this.txtRemarks = newTxtRemarks;
  }
  
  public String getDisabtxtRemarks() {
    return this.disabtxtRemarks;
  }
  
  public void setDisabtxtRemarks(String newDisabtxtRemarks) {
    this.disabtxtRemarks = newDisabtxtRemarks;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String getButLocation() {
    return this.butLocation;
  }
  
  public void setButLocation(String newButLocation) {
    this.butLocation = newButLocation;
  }
  
  public String getDisabbutLocation() {
    return this.disabbutLocation;
  }
  
  public void setDisabbutLocation(String newDisabbutLocation) {
    this.disabbutLocation = newDisabbutLocation;
  }
  
  public String getDisabbutTxtFromDate() {
    return this.disabbutTxtFromDate;
  }
  
  public void setDisabbutTxtFromDate(String newDisabbutTxtFromDate) {
    this.disabbutTxtFromDate = newDisabbutTxtFromDate;
  }
  
  public String getDisabbutTxtToDate() {
    return this.disabbutTxtToDate;
  }
  
  public void setDisabbutTxtToDate(String newDisabbutTxtToDate) {
    this.disabbutTxtToDate = newDisabbutTxtToDate;
  }
  
  public String getDisabbutTxtStatusEffectDate() {
    return this.disabbutTxtStatusEffectDate;
  }
  
  public void setDisabbutTxtStatusEffectDate(String newDisabbutTxtStatusEffectDate) {
    this.disabbutTxtStatusEffectDate = newDisabbutTxtStatusEffectDate;
  }
}
